List
curl --request GET \
--url https://api.cadanapay.com/v1/contracts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cadanapay.com/v1/contracts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cadanapay.com/v1/contracts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"templateId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"status": "completed",
"personId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"name": "Edward Petersen - Standard Global Contractor Agreement",
"signatures": [
{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"emailAddress": "signer@example.com",
"name": "John Doe",
"order": 0,
"status": "signed",
"signedAt": 1689759850,
"lastViewedAt": 1689759850
}
],
"createdAt": 1689759850,
"customContractAttached": false
}
]
}{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}Contracts
List
Fetch all contracts
GET
/
v1
/
contracts
List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required when using a Platform API token. The tenant key identifying which business to operate on.
Query Parameters
Optional UUID of the person to filter the contracts
Response
get contracts response
Show child attributes
Show child attributes
⌘I